BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/unzip perl(CPAN.pm) perl(CPAN/DistnameInfo.pm) perl(CPAN/Meta.pm) perl(CPAN/Meta/Check.pm) perl(CPAN/Meta/Feature.pm) perl(CPAN/Meta/Prereqs.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(FileHandle.pm) perl(Filter/Util/Call.pm) perl(IO/File.pm) perl(IO/Zlib.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(Log/Minimal.pm) perl(Module/Build.pm) perl(Mouse.pm) perl(Mouse/Util/TypeConstraints.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Pod/Usage.pm) perl(Socket.pm) perl(Spiffy.pm) perl(Test/Deep.pm) perl(Test/More.pm)
BuildRequires: perl(Text/Diff.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_version 0.08
%define module_name OrePAN
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: yet another CPAN mirror aka DarkPAN repository manager
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TO/TOKUHIROM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_privlib/orepan.pl
rm -f %buildroot%perl_vendor_privlib/orepan_index.pl

%files
%doc LICENSE Changes README
%perl_vendor_privlib/O*

%files scripts
%_bindir/*


%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

